QGIS Application - Bug report #18943
QGIS Server on MacOS X High Sierra
2018-05-12 03:14 PM - Ronan L

Status: Closed

Priority: Normal

Assignee:

Category: mac_os_specific

Affected QGIS version:3.0.2 Regression?: No

Operating System: MacOS X Easy fix?: No

Pull Request or Patch supplied: Resolution: up/downstream
Crashes QGIS or corrupls data: Copied to github as #: 26774
Description

QGIS Server shipped with QGIS 3.0.2 Mac cannot run due to multiple issue:

1- Apache on Mac OS High Sierra does not have mod_fcgid

2- /Applications/QGIS3.app/Contents/MacOS/fcgi-bin/qgis_mapserv.fcgi crash
/Applications/QGIS3.app/Contents/MacOS/fcgi-bin/qgis_mapserv.fcgi

This application failed to start because it could not find or load the Qt platform plugin "offscreen”
in™.

Reinstalling the application may fix this problem.
Abort trap: 6

History

#1 - 2018-09-05 06:49 PM - Denis Rouzaud
- Category changed from QGIS Server to mac_os_specific

#2 - 2018-10-15 07:30 PM - Denis Rouzaud

apparently mac ports has issues with mod_fcgi. Is this the way you installed QGIS?

see https://stackoverflow.com/questions/7303134/installing-php-fcgi-and-apache-with-worker-mpm-on-mac-o0sx-using-macport

#3 - 2018-10-15 10:17 PM - Giovanni Manghi
- Status changed from Open to Feedback

#4 - 2018-10-24 01:56 PM - Denis Rouzaud
- Resolution set to up/downstream
- Status changed from Feedback to Closed

feel free to reopen if needed
